import request from '@/utils/request'

// 查询违规历史记录列表
export function listViolationHistoryRecord(query) {
  return request({
    url: '/laboratory/violationHistoryRecord/list',
    method: 'get',
    params: query
  })
}


// 查询违规历史记录详细
export function getViolationHistoryRecord(id) {
  return request({
    url: '/laboratory/violationHistoryRecord/' + id,
    method: 'get'
  })
}

// 新增违规历史记录
export function addViolationHistoryRecord(data) {
  return request({
    url: '/laboratory/violationHistoryRecord',
    method: 'post',
    data: data
  })
}

// 修改违规历史记录
export function updateViolationHistoryRecord(data) {
  return request({
    url: '/laboratory/violationHistoryRecord',
    method: 'put',
    data: data
  })
}

// 删除违规历史记录
export function delViolationHistoryRecord(id) {
  return request({
    url: '/laboratory/violationHistoryRecord/' + id,
    method: 'delete'
  })
}
